Attribute VB_Name = "WinAPI"
Option Explicit

'
' WINBASEAPI DWORD WINAPI WaitForSingleObject
' (IN HANDLE hHandle, IN DWORD dwMilliseconds);
Public Declare Function waWaitForSingleObject _
                Lib "kernel32" _
                Alias "WaitForSingleObject" ( _
                ByVal hHandle As Long, _
                ByVal dwMilliseconds As Long _
                ) As Long

Public Sub Warte( _
                ByVal iMillisekunden As Long _
                )
    '
    ' ---------------------------------------------------------------------------------
    '
    ' Beschreibung: Wartet solange bis das vorgegebene Zeitlimit erreicht wurde.
    '
    ' Parameter:    dwMilliseconds
    '                 [in]
    '                   Anzahl in Millisekunden, die der Programmablauf angehalten
    '                   wird.
    '
    ' Autor:        Peter Dreisiebner
    '               http://www.dreisiebner.at
    '
    ' ---------------------------------------------------------------------------------
    '
    Const hHandle                   As Long = -1        ' Ungltiges Handle bergeben!
    '
    Call waWaitForSingleObject(hHandle, iMillisekunden) ' Rckgabewert ignorieren.
    '
End Sub


