VERSION 5.00
Begin VB.Form wndStart 
   Caption         =   "Rigol - VISA-Test"
   ClientHeight    =   5325
   ClientLeft      =   60
   ClientTop       =   375
   ClientWidth     =   9285
   LinkTopic       =   "Form1"
   ScaleHeight     =   5325
   ScaleWidth      =   9285
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton btnExit 
      Caption         =   "Beenden"
      Height          =   495
      Left            =   6960
      TabIndex        =   9
      Top             =   2880
      Width           =   2055
   End
   Begin VB.CommandButton btnReceive 
      Caption         =   "Empfangen"
      Height          =   495
      Left            =   6960
      TabIndex        =   8
      Top             =   1680
      Width           =   2055
   End
   Begin VB.CommandButton btnSend 
      Caption         =   "Senden"
      Height          =   495
      Left            =   6960
      TabIndex        =   7
      Top             =   960
      Width           =   2055
   End
   Begin VB.CommandButton btnConnect 
      Caption         =   "Verbinden"
      Height          =   495
      Left            =   6960
      TabIndex        =   6
      Top             =   240
      Width           =   2055
   End
   Begin VB.TextBox txtReceived 
      Height          =   3615
      Left            =   1440
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertikal
      TabIndex        =   5
      Top             =   1440
      Width           =   5055
   End
   Begin VB.TextBox txtCommand 
      Height          =   375
      Left            =   1440
      TabIndex        =   3
      Text            =   "*IDN?"
      Top             =   840
      Width           =   5055
   End
   Begin VB.TextBox txtAddress 
      Height          =   375
      Left            =   1440
      TabIndex        =   0
      Text            =   "TCPIP0::192.168.1.39::INSTR"
      Top             =   240
      Width           =   5055
   End
   Begin VB.Label lblReceived 
      Alignment       =   1  'Rechts
      Caption         =   "Empfangen:"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   1440
      Width           =   1215
   End
   Begin VB.Label lblCommand 
      Alignment       =   1  'Rechts
      Caption         =   "Kommando:"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   840
      Width           =   1215
   End
   Begin VB.Label lblAddress 
      Alignment       =   1  'Rechts
      Caption         =   "Adresse:"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
End
Attribute VB_Name = "wndStart"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


'-----------------------------------------------------------

'Function Name InstrWrite

'Function   Send command to the instrument

'Input   rsrcName,instrument(resource) name strCmd , Command

'-----------------------------------------------------------

Public Sub InstrWrite(rsrcName As String, strCmd As String)

    Dim status As Long

    Dim dfltRM As Long

    Dim sesn As Long

    Dim rSize As Long



'Initialize the system

status = viOpenDefaultRM(dfltRM)

    'Failed to initialize the system

    If (status < VI_SUCCESS) Then

        MsgBox " No VISA resource was opened!"

        Exit Sub

    End If

    ' Open the VISA instrument

    status = viOpen(dfltRM, rsrcName, VI_NULL, VI_NULL, sesn)

    'Failed to open the instrument

    If (status < VI_SUCCESS) Then

        MsgBox "Failed to open the instrument!"

        Exit Sub

    End If



    'Write command to the instrument

    status = viWrite(sesn, strCmd, Len(strCmd), rSize)

'Failed to write to the instrument

If (status < VI_SUCCESS) Then

        MsgBox " Faild to write to the instrument!"

        Exit Sub

    End If



    'Close the system

    status = viClose(sesn)

    status = viClose(dfltRM)



End Sub


'-----------------------------------------------------------

'Function Name:InstrRead

'Function:  Read the return value from the instrument

'Input:  rsrcName,Resource name

'Return:The string gotten from the instrument

'-----------------------------------------------------------

Public Function InstrRead(rsrcName As String) As String

    Dim status As Long

    Dim dfltRM As Long

    Dim sesn As Long

    Dim strTemp0 As String * 256

    Dim strTemp1 As String

    Dim rSize As Long

        

    'Begin by initializing the system

    status = viOpenDefaultRM(dfltRM)

    'Initial failed

    If (status < VI_SUCCESS) Then

        MsgBox " Failed to open the instrument! "

        Exit Function

    End If

    'Open the instrument

    status = viOpen(dfltRM, rsrcName, VI_NULL, VI_NULL, sesn)

    'Open instrument failed

    If (status < VI_SUCCESS) Then

        MsgBox " Failed to open the instrument! "

        Exit Function

    End If

    

    ' Read from the instrument

    status = viRead(sesn, strTemp0, 256, rSize)

    ' Read failed

    If (status < VI_SUCCESS) Then

        MsgBox " Failed to read from the instrument! "

        Exit Function

    End If

    

    'Close the system

    status = viClose(sesn)

    status = viClose(dfltRM)

    

    ' Remove the space at the end of the string

    strTemp1 = Left(strTemp0, rSize)

    InstrRead = strTemp1

End Function


Private Sub btnConnect_Click()
Const MAX_CNT = 200

    Dim status As Long

    Dim dfltRM As Long

    Dim sesn As Long

    Dim fList As Long

    Dim buffer As String * MAX_CNT, Desc As String * 256

    Dim nList As Long, retCount As Long

    Dim rsrcName(19) As String * VI_FIND_BUFLEN, instrDesc As String * VI_FIND_BUFLEN

    Dim i, j As Long

Dim strRet As String

    Dim bFindDSA As Boolean

        

    ' Initialize the system

    status = viOpenDefaultRM(dfltRM)

    ' Initialize failed

    If (status < VI_SUCCESS) Then

        MsgBox " No VISA resource was opened !"

        Exit Sub

    End If

    

    ' Find instrument resource

   Call viFindRsrc(dfltRM, "USB?*INSTR", fList, nList, rsrcName(0))
   ' Call viFindRsrc(dfltRM, "TCPIP?*INSTR", fList, nList, rsrcName(0))

    ' Get the list of the instrument(resource)

    strRet = ""

    bFindDSA = False

    For i = 0 To nList - 1

        ' Get the instrument name

        InstrWrite rsrcName(i), "*IDN?"

        Warte 200

        strRet = InstrRead(rsrcName(i))

        ' Continue to switch the resource until find a DSA instrument

        strRet = UCase(strRet)

        j = InStr(strRet, "DSA")
      ' j = InStr(strRet, "DG4")

        If (j >= 0) Then

            bFindDSA = True

            Exit For

        End If

                

        Call viFindNext(fList + i - 1, rsrcName(i))

    Next i

    ' Display

    If (bFindDSA = True) Then

        txtAddress.Text = rsrcName(i)

    Else

        txtAddress.Text = ""

    End If


End Sub

Private Sub btnExit_Click()

Unload Me

End Sub

Private Sub btnReceive_Click()
Dim strTemp As String

    strTemp = InstrRead(txtAddress.Text)

    txtReceived.Text = strTemp


End Sub

Private Sub btnSend_Click()
If (txtAddress.Text = "") Then

        MsgBox ("Please write the instrument address!")

    End If

    

    InstrWrite txtAddress.Text, txtCommand.Text


End Sub


